aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/executable_do_blue.sh3
-rwxr-xr-xbin/executable_mpd_only.sh7
-rwxr-xr-xbin/executable_mpd_others.sh5
3 files changed, 13 insertions, 2 deletions
diff --git a/bin/executable_do_blue.sh b/bin/executable_do_blue.sh
index 6958aba..b908d14 100755
--- a/bin/executable_do_blue.sh
+++ b/bin/executable_do_blue.sh
@@ -1,3 +1,4 @@
#!/bin/sh
-pacmd load-module module-bluez5-discover
+pacmd list-modules module-bluez5-discover | grep -q module-bluez5-discover || \
+ pacmd load-module module-bluez5-discover
echo "connect CD:0D:69:69:9A:1B" | bluetoothctl
diff --git a/bin/executable_mpd_only.sh b/bin/executable_mpd_only.sh
index 39c3770..468c6a5 100755
--- a/bin/executable_mpd_only.sh
+++ b/bin/executable_mpd_only.sh
@@ -1,2 +1,7 @@
#!/bin/sh
-pacmd exit && mpc enable "DigiHug USB Audio" && mpc disable "My Pulse Output"
+
+set -e
+
+systemctl --user stop pulseaudio.socket
+mpc enable "DigiHug USB Audio"
+mpc disable "My Pulse Output"
diff --git a/bin/executable_mpd_others.sh b/bin/executable_mpd_others.sh
index 1d832de..b27e11e 100755
--- a/bin/executable_mpd_others.sh
+++ b/bin/executable_mpd_others.sh
@@ -1,4 +1,9 @@
#!/bin/sh
+
+set -e
+
+systemctl --user start pulseaudio.socket
+systemctl --user start pulseaudio.service
mpc disable "DigiHug USB Audio"
mpc enable "My Pulse Output"
pacmd load-module module-udev-detect